Mailing List Archive

[PATCH 2/3] Move necessary proto pkg-config files to /usr/share.
Since we're using shared includes for multilib, the pkg-config needs
to lie in /usr/share. I have tested that on amd64 both versions
of the relevant headers are the same.
---
x11-proto/xcb-proto/xcb-proto-9999.ebuild | 11 +++++++++++
x11-proto/xproto/xproto-9999.ebuild | 12 +++++++++++-
2 files changed, 22 insertions(+), 1 deletion(-)

diff --git a/x11-proto/xcb-proto/xcb-proto-9999.ebuild b/x11-proto/xcb-proto/xcb-proto-9999.ebuild
index 9fd53a0..793d323 100644
--- a/x11-proto/xcb-proto/xcb-proto-9999.ebuild
+++ b/x11-proto/xcb-proto/xcb-proto-9999.ebuild
@@ -25,6 +25,17 @@ src_prepare() {
xorg-2_src_prepare
}

+
+src_install() {
+ xorg-2_src_install
+
+ # We are using common includes for multilib, so we need
+ # to move the pkg-config file to the common location.
+ dodir /usr/share/pkgconfig
+ mv "${ED}"/usr/$(get_libdir)/pkgconfig/${PN}.pc \
+ "${ED}"/usr/share/pkgconfig || die
+}
+
pkg_postinst() {
python_mod_optimize xcbgen
}
diff --git a/x11-proto/xproto/xproto-9999.ebuild b/x11-proto/xproto/xproto-9999.ebuild
index d8e824c..6897f8f 100644
--- a/x11-proto/xproto/xproto-9999.ebuild
+++ b/x11-proto/xproto/xproto-9999.ebuild
@@ -5,7 +5,7 @@
EAPI=4

XORG_DOC=doc
-inherit xorg-2
+inherit multilib xorg-2

DESCRIPTION="X.Org xproto protocol headers"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~hppa-hpux ~ia64-hpux ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
@@ -22,3 +22,13 @@ src_configure() {
)
xorg-2_src_configure
}
+
+src_install() {
+ xorg-2_src_install
+
+ # We are using common includes for multilib, so we need
+ # to move the pkg-config file to the common location.
+ dodir /usr/share/pkgconfig
+ mv "${ED}"/usr/$(get_libdir)/pkgconfig/${PN}.pc \
+ "${ED}"/usr/share/pkgconfig || die
+}
--
1.8.1.1